/////////////////////////////////////////////////////////////////////////////
// Name:        counters.h
// Purpose:     Generate TAM tilesets which self-assemble into counters
// Author:      Matthew Patitz <mpatitz@yahoo.com>
// Modified by:
// Created:     Nov/2007
// Copyright:   (c) 2008, Matthew John Patitz
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __COUNTERS_H__
#define __COUNTERS_H__

#include "tiles.h"


#define LEASTSIG    "L"
#define MOSTSIG     "M"
#define MARKER      "*"
#define COPY        "c"
#define SEED        "s"
#define NAMEDELIMIT "|"

#define COUNTER_LOGWIDTH    0
#define COUNTER_FIXEDWIDTH  1


bool GenerateCounterTileSet(int iBase, int iDirGrow, int iDirFace, int iType, TileSet* pTS);

#endif  // __COUNTERS_H__